<!--<div class="back-controls">-->
<!--  -->
<!--</div>-->
<div class="contrast-content">
  <div class="container">
    <div class="back-controls">
      <div class="left">
        <a [routerLink]="'/login'">
          <mat-icon class="large m-0">
            keyboard_backspace
          </mat-icon>
          <div class="back-to-login font-weight-bold">
            Log In
          </div>
        </a>
      </div>

      <div class="right">
        <a [routerLink]="'/login'" class="d-flex align-items-center">
          <mat-icon class="large m-0">
            close
          </mat-icon>
        </a>
      </div>
    </div>

    <div class="forgot-wrapper">
      <div class="forgot-wrapper-inner">
        <div class="row">
          <div class="col-xl-12 text-center">
            <img src="../../../../assets/kavanii-reverse.PNG" alt="logo" class="logo mb-3">
          </div>
        </div>

        <div class="row justify-content-md-center" *ngIf="message">
          <div class="col-12 col-lg-5 text-left p-0 mb-1">
            <app-alert [message]="message" extraClass="text-left" [type]="type" [closable]="closable"
                       [isAbsolute]="false"></app-alert>
          </div>
        </div>
        <!-- <div class="error-inner-wrapper">
          <p *ngIf="errorMessage" class="alert alert-danger c-alert">
            {{ errorMessage }}
          </p>
        </div> -->

        <div class="row justify-content-md-center ">
          <div class="col-12 col-lg-5 text-center forgot-bg rounded" *ngIf="!forgotSubmitted">

            <form class="forgot-form">
              <div class="text-left mb-3">
                <h5 class="bold">
                  Forgot my password
                </h5>
              </div>

              <div class="forgot-field">
                <mat-form-field appearance="outline" class="full-width">

                  <mat-label>Email</mat-label>
                  <input matInput placeholder="Email" type="text" [formControl]="emailCtrl"
                         [(ngModel)]="forgotModel.emailid" name="emailID"/>
                  <mat-error *ngIf="emailCtrl.hasError('required')">
                    This field is required.
                  </mat-error>
                  <mat-error *ngIf="emailCtrl.hasError('emailIncorrect') && emailCtrl.value">
                    Please enter a valid email address.
                  </mat-error>
                </mat-form-field>
              </div>

              <div class="mt-3 text-center">
                <button mat-raised-button color="accent" class="mr-3 reset-btn" (click)="forgotPassword($event);"
                        [disabled]="submitting">
                  {{
                  isLnkExpire ? 'Resend link' : !submitting ? 'Send reset link to email' : 'Sending...'
                  }}
                </button>
              </div>
            </form>
          </div>
          <div class="col-xl-5 text-center forgot-bg" *ngIf="forgotSubmitted">
            <img src="../../../../assets/kavanii_logo2.PNG" alt="logo" class="logo mb-5">
            <form class="forgot-form">
              <div>
                <p *ngIf="errorMessage" class="alert alert-danger">
                  {{ errorMessage }}
                </p>
              </div>
              <div>
                <h5>
                  Forgot your password?
                </h5>
                <p>
                  Thank you for submitting your password reset requst.
                </p>
              </div>
              <div class="mt-3 text-right">
                <button mat-raised-button color="accent" [routerLink]="'/login'" class="reset-btn">Back to Login
                </button>
              </div>
            </form>
          </div>
        </div>

        <div class="row justify-content-md-center">
          <div class="col-12 col-lg-5 text-center">
            <div class="d-flex justify-content-center need-help-container">
              <mat-icon class="text-white">help_outline</mat-icon>
              <div class="text-white font-weight-bold">
                Need help?
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
